pw_client_info Struct Reference

The client information. More...

## Data Fields

uint32_t | id
| id of the global More...
uint64_t | change_mask
| bitfield of changed fields since last call More...
struct spa_dict * | props
| extra properties More...

## Detailed Description

The client information.

Extra information can be added in later versions

## Field Documentation

## change_mask

uint64_t pw_client_info::change_mask

bitfield of changed fields since last call

Referenced by pw_client_info_update().

## id

uint32_t pw_client_info::id

id of the global

Referenced by pw_client_info_update().

## props

struct spa_dict* pw_client_info::props

extra properties

Referenced by pw_client_info_free(), and pw_client_info_update().

The documentation for this struct was generated from the following file:

- introspect.h